﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace DataLayer.Entities;

[Index("Name", Name = "UC_Spaces_Name", IsUnique = true)]
public partial class Space
{
    [Key]
    [Column("id")]
    public Guid Id { get; set; }

    [Required]
    [Column("name")]
    [StringLength(50)]
    public string Name { get; set; }

    [Column("size")]
    public double Size { get; set; }

    [Column("volume")]
    public double Volume { get; set; }

    [Column("description")]
    public string Description { get; set; }

    [InverseProperty("Space")]
    public virtual ICollection<Booking> Bookings { get; set; } = new List<Booking>();

    [InverseProperty("Space")]
    public virtual ICollection<SpaceConsumable> SpaceConsumables { get; set; } = new List<SpaceConsumable>();
}